Skip to main content
GET
/
statement_config
List Configurations
curl --request GET \
  --url https://api.treasuryprime.com/statement_config \
  --header 'Authorization: Basic <encoded-value>'
{
  "data": [
    {
      "account_id": "<string>",
      "apy": "<string>",
      "apy_custom": "<string>",
      "bank_disclosure_message": "<string>",
      "display_authorized_user": true,
      "email_address": "<string>",
      "footnote": "<string>",
      "id": "<string>",
      "logo_file_id": "<string>",
      "org_legal_name": "<string>",
      "phone_number": "<string>",
      "physical_address": {
        "city": "<string>",
        "postal_code": "<string>",
        "state": "<string>",
        "street_line_1": "<string>",
        "street_line_2": "<string>"
      },
      "show_transaction_ids": true,
      "support_url": "<string>",
      "timezone": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Query Parameters

page_cursor
string

Pagination cursor, value is the object ID.

page_size
integer
default:100

Limits the number of objects in the returned list, value must be a number greater than or equal to 1. Defaults to 100.

Required range: x >= 1
from_date
string

Lists the objects created on the date provided and onwards. Date must be in ISO 8601 format (“YYYY-MM-DD”).

to_date
string

Lists the objects created before the date provided. Date must be in ISO 8601 format (“YYYY-MM-DD”).

Response

200 - application/json

A dictionary with a data property that contains a list of up to page_size statement_config elements, starting after the statement_config described by page_cursor. If no more statement_configs are available, the resulting list will be empty.

data
object[]